org.codehaus.groovy.ant

## Class AntProjectPropertiesDelegate

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable
    - - org.codehaus.groovy.ant.AntProjectPropertiesDelegate

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class AntProjectPropertiesDelegate
    extends java.util.Hashtable

Author:
  Guillaume Laforge
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AntProjectPropertiesDelegate(java.util.Map t)`
`AntProjectPropertiesDelegate(org.apache.tools.ant.Project project)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`java.lang.Object` `clone()`
`boolean` `contains(java.lang.Object value)`
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`java.util.Enumeration` `elements()`
`java.util.Set` `entrySet()`
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `get(java.lang.Object key)`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.util.Enumeration` `keys()`
`java.util.Set` `keySet()`
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)`
`void` `putAll(java.util.Map t)`
`java.lang.Object` `remove(java.lang.Object key)`
`int` `size()`
`java.lang.String` `toString()`
`java.util.Collection` `values()`

### Methods inherited from class java.util.Hashtable

`compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, rehash, remove, replace, replace, replaceAll`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AntProjectPropertiesDelegate

    public AntProjectPropertiesDelegate(org.apache.tools.ant.Project project)

#### AntProjectPropertiesDelegate

    public AntProjectPropertiesDelegate(java.util.Map t)

### Method Detail

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `java.util.Map`
Overrides:
  `hashCode` in class `java.util.Hashtable`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Map`
Overrides:
  `size` in class `java.util.Hashtable`

#### clear

    public void clear()

Specified by:
  `clear` in interface `java.util.Map`
Overrides:
  `clear` in class `java.util.Hashtable`
Throws:
  `java.lang.UnsupportedOperationException` - is always thrown when this method is invoked. The Project properties are immutable.

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `java.util.Map`
Overrides:
  `isEmpty` in class `java.util.Hashtable`

#### clone

    public java.lang.Object clone()

Overrides:
  `clone` in class `java.util.Hashtable`

#### contains

    public boolean contains(java.lang.Object value)

Overrides:
  `contains` in class `java.util.Hashtable`

#### containsKey

    public boolean containsKey(java.lang.Object key)

Specified by:
  `containsKey` in interface `java.util.Map`
Overrides:
  `containsKey` in class `java.util.Hashtable`

#### containsValue

    public boolean containsValue(java.lang.Object value)

Specified by:
  `containsValue` in interface `java.util.Map`
Overrides:
  `containsValue` in class `java.util.Hashtable`

#### equals

    public boolean equals(java.lang.Object o)

Specified by:
  `equals` in interface `java.util.Map`
Overrides:
  `equals` in class `java.util.Hashtable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.util.Hashtable`

#### values

    public java.util.Collection values()

Specified by:
  `values` in interface `java.util.Map`
Overrides:
  `values` in class `java.util.Hashtable`

#### elements

    public java.util.Enumeration elements()

Overrides:
  `elements` in class `java.util.Hashtable`

#### keys

    public java.util.Enumeration keys()

Overrides:
  `keys` in class `java.util.Hashtable`

#### putAll

    public void putAll(java.util.Map t)

Specified by:
  `putAll` in interface `java.util.Map`
Overrides:
  `putAll` in class `java.util.Hashtable`

#### entrySet

    public java.util.Set entrySet()

Specified by:
  `entrySet` in interface `java.util.Map`
Overrides:
  `entrySet` in class `java.util.Hashtable`

#### keySet

    public java.util.Set keySet()

Specified by:
  `keySet` in interface `java.util.Map`
Overrides:
  `keySet` in class `java.util.Hashtable`

#### get

    public java.lang.Object get(java.lang.Object key)

Specified by:
  `get` in interface `java.util.Map`
Overrides:
  `get` in class `java.util.Hashtable`

#### remove

    public java.lang.Object remove(java.lang.Object key)

Specified by:
  `remove` in interface `java.util.Map`
Overrides:
  `remove` in class `java.util.Hashtable`
Throws:
  `java.lang.UnsupportedOperationException` - is always thrown when this method is invoked. The Project properties are immutable.

#### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

Specified by:
  `put` in interface `java.util.Map`
Overrides:
  `put` in class `java.util.Hashtable`